* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: Arial, Helvetica, sans-serif;
  background-color: #f4f4f4;
}

#app {
  width: 100%;
}

.container {
  max-width: 1150px;
  width: 100%;
  margin: 20px;
}

.truncate {
  width: 150px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.box-shadow {
  box-shadow: 0px 0px 10px #ccc;
}

.is-active {
  color: red !important;
}

/* Flex classes */
.d-flex {
  display: flex;
}
.justify-end {
  justify-content: flex-end;
}

/* Header */
.header {
  width: 100%;
  height: 150px;
  background-color: #181818;
  display: flex;
  align-items: flex-end;
}

.nav {
  width: 100%;
  height: 50px;
  background-color: #020000;
  display: flex;
  justify-content: center;
}
  .nav-wrapper {
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
  }
    .nav-element {
      padding: 0 20px;
    }
      .nav-element > a {
        color: #fff;
        text-decoration: none;
        cursor: pointer;
      }

/* Shop layout */
.main-wrap {
  display: flex;
  flex-direction: row;
  justify-content: center;
}
.main-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.section-wrap {
  width: 100%;
  align-self: flex-start;
  background-color: #fff;
  padding: 10px;
}

.btn-new {
  background: url(../assets/images/24_add_green.png) no-repeat left;
  width: 24px;
  height: 24px;
  border: none;
  cursor: pointer;
  margin-top: 10px;
  outline: none;
}
.btn-new:hover {
  background-position: center;
}

/* top card */
.card-title {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 15px 0;
}
  .card-title > h2 {
    font-weight: normal;
    color: #000;
  }
  .card-title > h5 {
    font-weight: 700;
    color: #ccc;
  }

.card-sort {
  width: 100%;
  display: flex;
  flex-direction: column;
}
.card-sort::before,
.card-sort::after {
  content: '';
  width: 100%;
  border: 1px solid #ccc;
}
  .card-sort-content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 15px 0;
  }

/* Shop items */
.items {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  margin: 20px -5px 0 -5px;
}

.item {
  position: relative;
  flex: 0 0 calc(25% - 10px);
  margin: 5px;
  padding-bottom: 10px;
  background-color: #fff;
  border: 1px solid #ccc;
}
.item:hover > img,
.item:hover > .btn-edit {
  opacity: .7;
  transition: all 250ms;
}
.item:hover > .btn-edit {
  display: block;
}
  .item.sale::before {
    content: 'SALE!';
    position: absolute;
    top: 5px;
    right: -4px;
    transform: rotate(-1deg);
    color: #fff;
    background: -webkit-linear-gradient(#12C96D, rgb(20, 221, 121), #12C96D);
    background: -o-linear-gradient(#12C96D, rgb(20, 221, 121), #12C96D);
    background: linear-gradient(#12C96D, rgb(20, 221, 121), #12C96D);
    box-shadow: 0 0 1px #ccc,
      inset 0 0 5px rgb(163, 163, 163);
    text-align: center;
    padding: 5px 10px;
  }
  .btn-edit {
    display: none;
    position: absolute;
    right: 5px;
    bottom: 110px;
    padding: 5px 15px;
    background-color: #12C96D;
    color: #fff;
    border: none;
    cursor: pointer;
  }
  .item > .btn-edit:hover {
    opacity: 1;
  }

  .item > .info {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
    .info > h4 {
      text-align: center;
      padding: 5px 0;
      font-size: 1rem;
    }
    .info > strong {
      font-size: 1rem;
      text-align: center;
      padding: 5px 0;
      font-weight: bold;
    }
      .info > strong > span {
        color: #ccc;
        text-decoration: line-through;
        font-weight: normal;
      }
  .btn-add {
    width: 150px;
    padding: 7px 0;
    background-color: #12C96D;
    color: #fff;
    border: none;
    cursor: pointer;
  }

/* Aside items */
.aside-wrap {
  width: 250px;
  margin-left: 20px;
  display: flex;
  flex-direction: column;
}

.side-item {
  width: 250px;
  background-color: #fff;
  margin-bottom: 20px;
  padding: 10px;
}
  .side-item > .search-wrap {
    display: flex;
    justify-content: center;
    align-items: center;
  }
    .search-wrap > input {
      width: 100%;
      height: 30px;
      padding-left: 5px;
    }

  .side-item > .dot-line {
    margin: 10px 0;
    border: 1px dotted #000;
  }
  .side-item > .list {
    list-style: none;
  }
    .list > li {
      font-size: 14px;
      line-height: 1.2rem;
    }

/* Add item */
.inner-form {
  margin-top: 15px;
}

input[name='name'],
input[name='price'],
select[name='image'],
input[name='discount'] {
  width: 100%;
  padding: 10px;
  margin: 5px 0 22px 0;
  display: inline-block;
  border: none;
  background-color: #f1f1f1;
}

input[name='sale'] {
  display: inline-block;
  margin: 5px 5px 22px 5px;
}
input[name='sale']:checked ~ label[for='discount'],
input[name='sale']:checked ~ input[name='discount'] {
  display: block;
}

label[for='discount'],
input[name='discount'] {
  display: none;
}

.btn-form {
  width: 100%;
  font-size: 1.15rem;
  color: #fff;
  padding: 16px 20px;
  margin: 8px 0;
  border: none;
  cursor: pointer;
  opacity: .9;
}
.btn-form:hover {
  opacity: 1;
}
.btn-add-item {
  background-color: #12C96D;
}
.btn-delete-item {
  display: block;
  background-color: rgb(233, 65, 43);
}

/* Query media */
@media (max-width: 950px) {
  .main-wrapper {
    flex-direction: column;
  }
  .aside-wrap {
    width: 100%;
    margin: 20px 0;
  }
    .side-item {
      width: 100%;
    }
}

@media (max-width: 680px) {
  html {
    font-size: 14px;
  }
  .header {
    height: 50px;
  }
  .nav {
    position: fixed;
    z-index: 5;
  }
  .item {
    flex: 0 0 calc(33.33% - 10px);
  }
}
@media (max-width: 535px) {
  .item {
    flex: 0 0 calc(50% - 10px);
  }
}

@media (max-width: 460px) {
  .items {
    justify-content: center;
  }
  .item {
    flex: 1 0 calc(100% - 10px);
  }
  .card-sort-content {
    flex-direction: column;
  }
    .card-sort-content > div {
      margin-top: 5px;
    }
}

.hidden {
  display: none;
}
